<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_level(4);
$set['title']='Пользовательские страницы'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

//Добавление страницы

if (isset($_GET['add']))
{
if (isset($_POST['title']) && $_POST['title']!=NULL && isset($_POST['text']) && $_POST['text']!=NULL && isset($_POST['nav_links']))
{
$title = mysql_escape_string($_POST['title']);
$text = mysql_escape_string($_POST['text']);
$nav_links = mysql_escape_string($_POST['nav_links']);

mysql_query("INSERT INTO `pages` (`title`, `text`, `nav_links`, `time`) VALUES ('$title', '$text', '$nav_links', '$time')");
msg('Страница добавлена');
}

echo '<form method="post" action="pages.php?add">';
echo 'Заголовок:<br/><input name="title" type="text"/><br/>';
echo 'Текст:<br/><textarea name="text"></textarea>';
echo 'Навигационные ссылки:<br/><textarea name="nav_links"></textarea><br/>';
echo '<input value="Добавить" type="submit"/><br/>';
echo '</form>';

echo '<div class="foot">';
if ($user['level']>3)
{
echo '&laquo;<a href="pages.php">Список страниц</a><br/>';
echo '&laquo;<a href="/adm_panel/">В админку</a><br/>';
}
echo '</div>';
}

//Просмотр страницы

if (isset($_GET['show']) && $_GET['show']!=NULL && $_GET['show']=intval($_GET['show']))
{
$show = mysql_fetch_array(mysql_query("SELECT * FROM `pages` WHERE `id` = '".intval($_GET['show'])."' LIMIT 1"));

echo 'ID: '.$show['id'].'<br/>';
echo '<div class="p_t">Заголовок страницы: </div><div class="p_m">'.$show['title'].' </div><a href="pages.php?change='.$show['id'].'">[Изменить]</a><br/>';
echo '<div class="p_t">Текст страницы: </div><div class="p_m">'.$show['text'].'</div><a href="pages.php?change='.$show['id'].'">[Изменить]</a><br/>';
echo '<div class="p_t">Время создания: '.vremja($show['time']).'</div><br/>';
echo '<div class="p_t">Навигационные ссылки: </div><div class="p_m">'.$show['nav_links'].'</div><a href="pages.php?change='.$show['id'].'">[Изменить]</a><br/>';
echo 'Ссылка на страницу: <input name="link" type="text" value="http://'.$_SERVER['SERVER_NAME'].'/modules/pages.php?id='.$show['id'].'"/><br/>';
echo '<a href="pages.php?change='.$show['id'].'">[Изменить всю запись]</a><br/>';
echo '<a href="pages.php?del='.$show['id'].'">[Удалить страницу]</a><br/>';
echo '<div class="foot">';
if ($user['level']>3)
{
echo '&laquo;<a href="pages.php">Список страниц</a><br/>';
echo '&laquo;<a href="/adm_panel/">В админку</a><br/>';
}
echo '</div>';
}

//Изменение страницы

if (isset($_GET['change']) && $_GET['change']!=NULL && $_GET['change']=intval($_GET['change']))
{

if (isset($_POST['title']) && isset($_POST['text']) && isset($_POST['nav_links']))
{
$title = mysql_escape_string($_POST['title']);
$text = mysql_escape_string($_POST['text']);
$nav_links = mysql_escape_string($_POST['nav_links']);

mysql_query("UPDATE `pages` SET `title` = '$title', `text` = '$text', `nav_links` = '$nav_links' WHERE `id` = '".intval($_GET['change'])."'");
msg('Запись изменена');
}

$change = mysql_fetch_array(mysql_query("SELECT * FROM `pages` WHERE `id` = '".intval($_GET['change'])."' LIMIT 1"));

echo '<form method="post" action="pages.php?change='.$change['id'].'">';
echo 'Заголовок:<br/><input name="title" type="text" value="'.$change['title'].'"/><br/>';
echo 'Текст:<br/><textarea name="text">'.$change['text'].'</textarea><br/>';
echo 'Навигационные ссылки:<br/><textarea name="nav_links">'.$change['nav_links'].'</textarea><br/>';
echo '<input value="Изменить" type="submit"/><br/>';
echo '</form>';

echo '<div class="foot">';
if ($user['level']>3)
{
echo '&laquo;<a href="pages.php?show='.$change['id'].'">Изменяемая страница</a><br/>';
echo '&laquo;<a href="pages.php">Список страниц</a><br/>';
echo '&laquo;<a href="/adm_panel/">В админку</a><br/>';
}
echo '</div>';
}

//Удаление страниц

if (isset($_GET['del']) && $_GET['del']!=NULL && $_GET['del'] = intval($_GET['del']))
{
$del = intval($_GET['del']);

mysql_query("DELETE FROM `pages` WHERE `id` = '$del' LIMIT 1");
msg('Страница удалена');
}

//Главная - список страниц

if (!isset($_GET['show']) && !isset($_GET['change']) && !isset($_GET['add']))
{
$k_pages=mysql_result(mysql_query("SELECT COUNT(*) FROM `pages`"),0);
$k_page=k_page($k_pages,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
echo '<div class="menu">В базе '.$k_pages.' страниц</div>';
if ($k_pages==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет пользовательских страниц в базе\n";
echo "  </td>\n";
echo "   </tr>\n";

}
$q=mysql_query("SELECT * FROM `pages` ORDER BY `id` ASC LIMIT $start, $set[p_str]");
while ($pages = mysql_fetch_array($q))
{
echo "   <tr>\n";

echo "  <td class='p_t'>\n";
echo $pages['id'];
echo ': <a href="pages.php?show='.$pages['id'].'">'.$pages['title'].'</a><br/>';
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";

}

echo "</table>\n";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

if ($user['level']>=3){
echo "<div class='foot'>\n";
echo '&raquo;<a href="pages.php?add">Добавить страницу</a><br/>';
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
}
}
include_once '../sys/inc/tfoot.php';
?>